=== modified file 'src/maasserver/static/partials/node-details.html'
--- src/maasserver/static/partials/node-details.html	2016-06-14 07:17:48 +0000
+++ src/maasserver/static/partials/node-details.html	2016-06-14 16:17:24 +0000
@@ -462,7 +462,7 @@
                                                 data-ng-options="mode.mode as mode.text for mode in modes | filterLinkModes:interface">
                                             </select>
                                         </li>
-                                        <li class="margin-top--ten" data-ng-show="shouldShowIPAddress(interface)">
+                                        <li class="margin-top--ten" data-ng-if="shouldShowIPAddress(interface)">
                                             <input type="text" class="table__input no-margin-top"
                                                 data-ng-model="interface.ip_address"
                                                 data-ng-class="{ invalid: isIPAddressInvalid(interface) }"
@@ -470,6 +470,9 @@
                                                 data-ng-focus="setFocusInterface(interface)"
                                                 data-ng-blur="clearFocusInterface(interface)"
                                                 data-ng-disabled="interface.mode != 'static'">
+                                            <div class="table__data left" data-ng-if="getInterfaceError(interface)">
+                                                <span class="icon error"></span> {$ getInterfaceError(interface) $}
+                                            </div>
                                         </li>
                                     </ul>
                                     <span class="ng-hide" data-ng-show="isAllNetworkingDisabled() && !interface.discovered[0].ip_address">
@@ -488,9 +491,6 @@
                                         <a class="icon delete tooltip" data-tooltip="Remove" data-ng-click="quickRemove(interface)"></a>
                                     </div>
                                 </div>
-                                <div class="ng-hide table__data left" data-ng-show="getInterfaceError(interface)">
-                                    <span class="icon error"></span> {$ getInterfaceError(interface) $}
-                                </div>
                                 <div class="table__dropdown--info">
                                     <div class="table__row table__dropdown-row--info" data-ng-class="{ active: isShowingMembers(interface) }" data-ng-repeat="member in interface.members">
                                         <div data-ng-show="isShowingMembers(interface)">

